# CICADA

### File

`src/testing/transaction-service-stub.ts`

### Index

###### Methods

- getAllTransactions
- setConversion
- setTransaction

### Methods

getAllTransactions
`getAllTransactions(offset: number, limit: number)`
Defined in src/testing/transaction-service-stub.ts:8

Parameters :

Name | Type | Optional
offset | `number` | No
limit | `number` | No

Returns : `Observable<any>`

setConversion
`setConversion(conversion: any)`
Defined in src/testing/transaction-service-stub.ts:6

Parameters :

Name | Type | Optional
conversion | `any` | No

Returns : `void`

setTransaction
`setTransaction(transaction: any, cacheSize: number)`
Defined in src/testing/transaction-service-stub.ts:4

Parameters :

Name | Type | Optional
transaction | `any` | No
cacheSize | `number` | No

Returns : `void`

    import { Observable, of } from 'rxjs';

    export class TransactionServiceStub {
      setTransaction(transaction: any, cacheSize: number): void {}

      setConversion(conversion: any): void {}

      getAllTransactions(offset: number, limit: number): Observable<any> {
        return of('Hello World');
      }
    }

# result-matching ""

# No results matching ""